' *****************************************************************************
' *****   MAGAZINE - ELECTRONIQUE PRATIQUE - DES EDITIONS TRANSOCEANIC    *****
' *****************************************************************************
' *****   Auteur : Yves MERGY   ---     Droits protgs (c) 05 / 2011     *****
' *****************************************************************************
' *****           -=- INITIATION AUX MICROCONTROLEURS PICAXE -=-          *****
' *****            "PICAXE A TOUT FAIRE"  Atelier Pratique No6            *****
' *****   MUSIQUE et Rception d'un signal InfraRouge d'une tlcommande  *****
' *****   -- Choix de la mlodie  l'aide des touches numrotes          *****
' *****   -- de la tlcommande. Sortie sur Buzzer                        *****
' *****************************************************************************

'***** DIRECTIVES *************************************************************
	#picaxe20X2				'Microcontrleur employ : PICAXE 20X2
	#no_data					'Gain de temps pour le tlchargement (pas de donnes)
	#terminal 4800		'Terminal d'affichage sur PC  4800 Bauds
	
'***** CONSTANTES *************************************************************
	symbol IR = C.5			'Sonde infrarouge sur C.5
	symbol BUZZER = C.1	'Buzzer sur la srtie C.1
	symbol LED = B.7		'Led sur la sortie B.7

'***** VARIABLES **************************************************************
	symbol infra = b13	'Variable du capteur infrarouge

'***** BOUCLE PRINCIPALE ******************************************************
	setfreq m4				'Frquence fixe  4MHz par circuit interne au C
	do								'Ouverture de la boucle sans fin
		irin IR,infra		'Attente d'un signal IR
		sertxd("Code = ",#infra,13,10)	'Affichage
		if infra = 1 then		'LED allume et mlodie 1 (Minuet) si le code = 1 (touche 2)
			high LED
			tune BUZZER, 5,($02,$67,$69,$6B,$40,$02,$27,$27,$04,$40,$42,$44,$46,$07,$27,$27,$00,$42,$40,$6B,$69,$2B,$40,$6B,$69,$67,$26,$67,$69,$6B,$67,$6B,$60,$6B,$40,$6B,$E9)
			low LED
		endif
		if infra = 2 then		'LED allume et mlodie 2 (Concerto No.3) si le code = 2 (touche 3)
			high LED
			tune BUZZER, 6,($44,$46,$44,$42,$44,$42,$41,$42,$41,$6B,$69,$42,$69,$42,$6B,$69,$67,$66,$42,$66,$42,$67,$66,$64,$62,$42,$64,$42,$66,$42,$68,$42,$69,$41,$69,$42,$69,$44,$69,$46,$69,$47,$69,$49,$46,$44,$42,$69,$41,$02)
			low LED
		endif
		if infra = 3 then		'LED allume et mlodie 3 (Toccata) si le code = 3 (touche 4)
			high LED
			tune BUZZER, 6,($29,$42,$69,$44,$69,$45,$69,$42,$69,$44,$69,$45,$69,$47,$69,$44,$69,$45,$69,$47,$69,$49,$69,$45,$69,$47,$69,$49,$69,$4A,$69,$47,$69,$49,$69,$45,$69,$47,$69,$44,$69,$45,$69,$42,$69,$44,$69,$41,$69,$C2)			
			low LED
		endif
		pause 500				'Pause pour une meilleure visibilit
	loop							'Fermeture de la boucle.
